Bug 841478 - Double TAB on "create permission vm" does not autocomplete "--vm-identifier"
Double TAB on "create permission vm" does not autocomplete "--vm-identifier"
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli (Show other bugs)
3.1.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Michael Pasternak
Elena
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 02:23 EDT by Dan Macpherson
Modified: 2016-02-10 14:27 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-24 03:12:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Macpherson 2012-07-19 02:23:24 EDT
Description of problem:
When using the double TAB autocomplete for permission creation on a virtual machine, vm does not autocomplete to --vm-identifier, but rather just --vm

Version-Release number of selected component (if applicable):
3.1

How reproducible:
Always

Steps to Reproduce:
1. Run ovirt-shell and connect to an ovirt environment
2. Type "create permission vm"
3. Press double TAB
  
Actual results:
[oVirt shell (connected)]# create permission --vm

Expected results:
[oVirt shell (connected)]# create permission --vm-identifier

Additional info:
There's also a vmpool identifier. Autocomplete might be having trouble resolving due to two vm* entries.
Comment 1 Michael Pasternak 2012-09-23 05:18:48 EDT
this is happens because of vm* ambiguity:

cluster        datacenter     group          host           storagedomain  template       user           vm             vmpool         
[oVirt shell (connected)]# add permission vm<TAB><TAB>

=> vm/vmpool
Comment 2 Itamar Heim 2013-03-24 03:12:03 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.